// routes/borrowTransactionRoutes.js
const express = require('express');
const router = express.Router();
const borrowTxController = require('../controllers/borrowTransactionController');

// สร้างรายการยืม
router.post('/', borrowTxController.createBorrowTransaction);

// ดึงข้อมูลทั้งหมด
router.get('/', borrowTxController.getAllBorrowTransactions);

// ดึงข้อมูลตาม borrow_id
router.get('/:id', borrowTxController.getBorrowTransactionById);

// อัปเดตข้อมูลการยืม
router.put('/:id', borrowTxController.updateBorrowTransaction);

// ลบการยืม
router.delete('/:id', borrowTxController.deleteBorrowTransaction);

module.exports = router;
